#include "bmud.h"

bmud *mud;

int main(int argc, char **argv){
	GdkColor *black;

	mud=g_malloc(sizeof(bmud)+1);
	mud->hist=g_malloc(sizeof(struct bmud_history)+1);
	mud->hist->size=0;
	mud->hist->max=20;
	mud->hist->cur=0;
	mud->hist->pos=0;
	mud->hist->cyclic=0;
	mud->hist->list=g_malloc(sizeof(gpointer)*(mud->hist->max+1));
	black=g_malloc(sizeof(GdkColor)+1);
	mud->disp_font_name="fixed";

#ifdef GNOME
	gnome_init("BMUD",NULL,argc,argv);
	mud->window=gnome_app_new("BMUD","Br0kEs MUD Client");
#else
	gtk_init (&argc, &argv);
	mud->window=gtk_window_new(GTK_WINDOW_TOPLEVEL);
#endif

	/* the gtk_rc_parse() stuff was here, but gnome_init() does it *shrug*/

	gtk_rc_parse("/root/.bmud/gtkrc");	// FIX ME

	spawn_gui();
	gtk_widget_realize(mud->window);

	init_colors();
	black->red=0;
	black->green=0;
	black->blue=0;

	gtk_widget_show(mud->window);

	gdk_window_set_background(GTK_TEXT(mud->text)->text_area,black);
	gdk_window_set_background(GTK_TEXT(mud->stat)->text_area,black);

	gtk_widget_show(mud->window);
	gtk_main();
	
	return 0;
	}			
